Subject: bug#6974: Emacs doesn't like Swedish ä (on w32)

From: Lennart Borgman <[email-masked]>
Date: Fri, 3 Sep 2010 13:20:59 +0200

On Fri, Sep 3, 2010 at 3:44 AM, Jason Rumney <[email-masked]> wrote:
> On 03/09/2010 05:58, Lennart Borgman wrote:
>>
>> I have a file whose name contains the Swedish char ä (a with two dots
>> above, 228 in latin-1).
>>
>> I have seen several strange things with this. Here are some I remember:
>>
>>
>> I start from "emacs -Q". In an org-mode file I try to insert a link to
>> this file with "C-c C-l file FILENAME".
>>   * After M-x set-language-environment RET RET (i.e. "English") and then
>> opening a new org file.
>>
>> Works nicely. Examining the char "ä" in the link in the org buffer
>> gives as expected.
>>
>
> OK, but what happens in the default case you tried above, before you started
> messing with the language environment?

It works ok.

>> * After M-x set-language-environment RET utf-8 RET and then opening a
>> new org file.
>>
>
> Of course it is possible to break things by setting your language
> environment inappropriately. But what happens in the default case?

Thanks, but please see my reply to Eli.